﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ComputeDistance : MonoBehaviour {

	Rigidbody playerObject;
	public GameObject staticPlanet;

	// Use this for initialization
	void Start () {
		playerObject = GetComponent<Rigidbody> ();
		staticPlanet = GameObject.FindGameObjectWithTag ("Static Planet");
	}
	
	// Update is called once per frame
	void Update () {
		applyThrust ();
		/*float Fnet = (staticPlanet.GetComponent<StaticPlanetScript> ().Mass /  DistanceSqr (staticPlanet)) * 0.3f;
		Vector3 direction = staticPlanet.transform.position - transform.position;
		direction.Normalize ();
		transform.position += direction * Fnet;
		Debug.Log (Fnet);*/
	}

	float DistanceSqr(GameObject otherPlanet) {
		float distance = Vector3.Distance (transform.position, otherPlanet.transform.position);
		return Mathf.Pow (distance, 2.0f);          
	}

	void applyThrust() {
		if (Input.GetKeyDown (KeyCode.Space)) {
			playerObject.AddForce (new Vector3 (0.0f, 100.0f, 0.0f));
		}

	}
}
